import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetPricePerShareParams } from '../../../position/template/app-token.template.types';
import { Scp, SolaceContractFactory } from '../contracts';
export declare abstract class SolaceScpTokenFetcher extends AppTokenTemplatePositionFetcher<Scp> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: SolaceContractFactory;
    abstract scpAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: SolaceContractFactory);
    getContract(address: string): Scp;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions(): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare({ contract, appToken, multicall }: GetPricePerShareParams<Scp>): Promise<number[]>;
}
